%global fontname specialelite
%global fontconf 61-%{fontname}-fonts.conf
%global alphatag 20140913hg


Name:          %{fontname}-fonts
Version:       1.000
Release:       0.2.%{alphatag}%{?dist}
Summary:       Special Elite font by Brian J. Bonislawsky
License:       ASL 2.0
URL:           http://www.google.com/fonts/specimen/Special+Elite
Source0:       https://googlefontdirectory.googlecode.com/hg/apache/specialelite/SpecialElite.ttf
Source1:       https://googlefontdirectory.googlecode.com/hg/apache/specialelite/LICENSE.txt
Source10:      %{fontconf}
BuildArch:     noarch
BuildRequires: fontpackages-devel
BuildRequires: fontforge
BuildRequires: ttname
Requires:      fontpackages-filesystem

%description
Special Elite was created to mimic the Smith Corona Special Elite Type No NR6
and Remington Noiseless typewriter models.

A little bit of inked up grunge and a little old school analog flavor work
together to give you a vintage typewriter typeface for your website and designs.


%prep
%setup -qTc
cp -p %{SOURCE0} %{SOURCE1} .


%build
ttname --copyright="Brian J. Bonislawsky DBA Astigmatic (AOETI) (astigma@astigmatic.com)" --license="$(cat LICENSE.txt)" --license-url="https://www.apache.org/licenses/LICENSE-2.0" *.ttf || exit 0


%install
rm -rf %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}

install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE10} \
    %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
        %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.ttf
%doc LICENSE.txt


%changelog
* Sat Sep 13 2014 Julien Enselme <jujens@jujens.eu> - 1.000-0.2.20140913hg
- Correct the SOURCEs URLs
- Remove the files macro
- Correct the prep section
- Correct the version

* Thu Sep 04 2014 Julien Enselme <jujens@jujens.eu> - 1.00-1.716ff965e2b0hg
- Initial packaging.
